/* ename.c.inc

   Built on GNU/Linux x86_64 with glibc 2.15

   Added error codes for GNU/Hurd. Svante Signell May 2013.

*/
#ifdef __linux__
static char *ename[] = {
    /*   0 */ "", 
    /*   1 */ "EPERM", "ENOENT", "ESRCH", "EINTR", "EIO", "ENXIO", 
    /*   7 */ "E2BIG", "ENOEXEC", "EBADF", "ECHILD", 
    /*  11 */ "EAGAIN/EWOULDBLOCK", "ENOMEM", "EACCES", "EFAULT", 
    /*  15 */ "ENOTBLK", "EBUSY", "EEXIST", "EXDEV", "ENODEV", 
    /*  20 */ "ENOTDIR", "EISDIR", "EINVAL", "ENFILE", "EMFILE", 
    /*  25 */ "ENOTTY", "ETXTBSY", "EFBIG", "ENOSPC", "ESPIPE", 
    /*  30 */ "EROFS", "EMLINK", "EPIPE", "EDOM", "ERANGE", 
    /*  35 */ "EDEADLK/EDEADLOCK", "ENAMETOOLONG", "ENOLCK", "ENOSYS", 
    /*  39 */ "ENOTEMPTY", "ELOOP", "", "ENOMSG", "EIDRM", "ECHRNG", 
    /*  45 */ "EL2NSYNC", "EL3HLT", "EL3RST", "ELNRNG", "EUNATCH", 
    /*  50 */ "ENOCSI", "EL2HLT", "EBADE", "EBADR", "EXFULL", "ENOANO", 
    /*  56 */ "EBADRQC", "EBADSLT", "", "EBFONT", "ENOSTR", "ENODATA", 
    /*  62 */ "ETIME", "ENOSR", "ENONET", "ENOPKG", "EREMOTE", 
    /*  67 */ "ENOLINK", "EADV", "ESRMNT", "ECOMM", "EPROTO", 
    /*  72 */ "EMULTIHOP", "EDOTDOT", "EBADMSG", "EOVERFLOW", 
    /*  76 */ "ENOTUNIQ", "EBADFD", "EREMCHG", "ELIBACC", "ELIBBAD", 
    /*  81 */ "ELIBSCN", "ELIBMAX", "ELIBEXEC", "EILSEQ", "ERESTART", 
    /*  86 */ "ESTRPIPE", "EUSERS", "ENOTSOCK", "EDESTADDRREQ", 
    /*  90 */ "EMSGSIZE", "EPROTOTYPE", "ENOPROTOOPT", 
    /*  93 */ "EPROTONOSUPPORT", "ESOCKTNOSUPPORT", 
    /*  95 */ "EOPNOTSUPP/ENOTSUP", "EPFNOSUPPORT", "EAFNOSUPPORT", 
    /*  98 */ "EADDRINUSE", "EADDRNOTAVAIL", "ENETDOWN", "ENETUNREACH", 
    /* 102 */ "ENETRESET", "ECONNABORTED", "ECONNRESET", "ENOBUFS", 
    /* 106 */ "EISCONN", "ENOTCONN", "ESHUTDOWN", "ETOOMANYREFS", 
    /* 110 */ "ETIMEDOUT", "ECONNREFUSED", "EHOSTDOWN", "EHOSTUNREACH", 
    /* 114 */ "EALREADY", "EINPROGRESS", "ESTALE", "EUCLEAN", 
    /* 118 */ "ENOTNAM", "ENAVAIL", "EISNAM", "EREMOTEIO", "EDQUOT", 
    /* 123 */ "ENOMEDIUM", "EMEDIUMTYPE", "ECANCELED", "ENOKEY", 
    /* 127 */ "EKEYEXPIRED", "EKEYREVOKED", "EKEYREJECTED", 
    /* 130 */ "EOWNERDEAD", "ENOTRECOVERABLE", "ERFKILL", "EHWPOISON"
};

#define MAX_ENAME 133
#endif

#ifdef __GNU__

/* From errno.h */
/*
enum  __error_t_codes
{
 EPERM = 1073741825,
 ENOENT = 1073741826,
 ESRCH = 1073741827,
 EINTR = 1073741828,
 ...
 ECANCELED = 1073741943
};

*/
static char *ename[] = {
    /*   0 */ "",
    /*   1 */ "EPERM", "ENOENT", "ESRCH", "EINTR", "EIO", "ENXIO", 
    /*   7 */ "E2BIG", "ENOEXEC", "EBADF", "ECHILD", 
    /*  11 */ "EDEADLK", "ENOMEM", "EACCES", "EFAULT", 
    /*  15 */ "ENOTBLK", "EBUSY", "EEXIST", "EXDEV", "ENODEV", 
    /*  20 */ "ENOTDIR", "EISDIR", "EINVAL", "EMFILE", "ENFILE", 
    /*  25 */ "ENOTTY", "ETXTBSY", "EFBIG", "ENOSPC", "ESPIPE", 
    /*  30 */ "EROFS", "EMLINK", "EPIPE", "EDOM", "ERANGE", 
    /*  35 */ "EAGAIN", "EINPROGRESS", "EALREADY", "ENOTOSOCK", 
    /*  39 */ "EDESTADDRREQ", "EMSGSIZE", "EPROTOTYPE", "ENOPROTOPT", "EPROTONOSUPPORT", "ESOCKNOSUPPORT", 
    /*  45 */ "EOPNOTSUPP", "EPFNOSUPPORT", "EAFNOSUPPORT","EADDRINUSE", "EADDRNOTAVAIL", 
    /*  50 */ "ENETDOWN", "ENETUNREACH", "ENETRESET", "ECONNABORTED", "ECONNRESET", "ENOBUFS", 
    /*  56 */ "EISCONN", "ENOTCONN", "ESHUTDOWN", "ETOOMANYREFS", "ENTIMEDOUT", "ECONNREFUSED",
     /*  62 */ "ELOOP", "ENAMETOOLONG", "EHOSTDOWN", "EHOSTUNREACH", "ENOTEMPTY", 
    /*  67 */ "EPROCLIM", "EUSERS", "EDQUOT", "ESTALE", "EREMOTE", 
    /*  72 */ "EBADRPC", "ERPCMISMATCH", "EPROCUNAVAIL", "EPROGMISMATCH",
    /*  76 */ "EPROCUNAVAIL", "ENOLCK", "ENOSYS", "EFTYPE", "EAUTH",
    /*  81 */ "ENEEDAUTH", "", "", "", "", 
    /*  86 */ "", "", "", "", "", 
    /*  91 */ "", "", "", "", "", 
    /*  96 */ "", "", "", "", "EBACKGROUND", 
    /*  101 */ "EDIED", "", "EGREGIOUS", "EIEIO", "EGRATIOUS", 
    /*  106 */ "EILSEQ", "EBADMSG", "EIDRM", "EMULTIHOP", "ENODATA", 
    /*  111 */ "ENOLINK", "ENOMSG", "ENOSR", "ENOSTR", "EOVERFLOW", 
    /*  116 */ "EPROTO", "ETIME", "ENOTSUP", "ECANCELED"
};

#define MIN_ECODE 1073741824
#define MAX_ECODE 1073741943
#define MAX_ENAME MAX_ECODE - MIN_ECODE /* 119*/
#endif
